* {
    font-family: Calibri, Arial;
    margin: 0;
    padding: 0;
}

html, body {
    width: 100%;
    height: 100%;
}

#calculator-main {
    margin: 20px;
    padding: 10px;
    border-radius: 5px;
    width: 500px;
    background-color: darkseagreen;
}

#calculator-main h1 {
    text-transform: uppercase;
    color: darkgreen;
    text-align: center;
}

#calculator-container {
    width: 100%;
    height: 100%;
    display: grid;
    color: darkolivegreen;
    font-weight: bold;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr 1fr 1fr;
    grid-template-areas: 
        "number1-text number1-text number1-input number1-input number1-input"
        "number2-text number2-text number2-input number2-input number2-input"
        "operation-add operation-sub operation-mult operation-div operation-clear"
        "result result result result result"
    ;
}

#calculator-container > div {
    display: flex;
    justify-content: center;
    align-items: center;
}

#calculator-container input {
    width: 90%;
    height: 30px;
    border: 2px solid darkgreen;
    border-radius: 5px;
    padding: 5px;
    margin: 5px;
    color: darkgreen;
    font-weight: bold;
}

#number1-text {
    grid-area: number1-text;
}

#number2-text {
    grid-area: number2-text;
}

#number1-input {
    grid-area: number1-input;
}

#number2-input {
    grid-area: number2-input;
}

#operation-add {
    grid-area: operation-add;
}

#operation-sub {
    grid-area: operation-sub;
}

#operation-mult {
    grid-area: operation-mult;
}

#operation-div {
    grid-area: operation-div;
}

#operation-clear {
    grid-area: operation-clear;
}

#result {
    grid-area: result;
}

.op-button {
    border: 2px solid darkgreen;
    border-radius: 6px;
    margin: 5px;
}

.op-button:hover {
    background: darkgreen;
    color: white;
    cursor: pointer;
}